Bug 369171 - Syntax error in /usr/share/selinux/devel/include/services/kerberos.if
Syntax error in /usr/share/selinux/devel/include/services/kerberos.if
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-06 17:47 EST by Carl Roth
Modified: 2008-01-30 14:20 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-30 14:20:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl Roth 2007-11-06 17:47:13 EST
Description of problem:

There's an extra character in kerberos.if in selinux-policy-devel that prevents
it from being used to compile new policy modules.

Version-Release number of selected component (if applicable):

selinux-policy-devel-2.4.6-107.fc6

How reproducible:

Always

Steps to Reproduce:
1. Build an selinux policy module using /usr/share/selinux/devel/Makefile
2.
3.
  
Actual results:

Here's an example log from a module I just tried to build:

+ /usr/bin/make NAME=targeted -f /usr/share/selinux/devel/Makefile
Compiling targeted ursus-config-apache module
/usr/bin/checkmodule:  loading policy configuration from tmp/ursus-config-apache.tmp
tmp/all_interfaces.conf:128104:ERROR 'syntax error' at token 'n' on line 63903:
##      <summary>
n##     Domain allowed access.
/usr/bin/checkmodule:  error(s) encountered while parsing configuration
make: *** [tmp/ursus-config-apache.mod] Error 1

I traced back through the policy sources and headers and saw that the error was
in kerberos.if.

Expected results:


Additional info:

This appears to be the fix:

--- /usr/share/selinux/devel/include/services/kerberos.if.orig  2007-10-09
14:18:53.000000000 -0700
+++ /usr/share/selinux/devel/include/services/kerberos.if       2007-11-06
14:40:18.000000000 -0800
@@ -27,7 +27,7 @@
 ## </summary>
 ## <param name="domain">
 ##     <summary>
-n##    Domain allowed access.
+##     Domain allowed access.
 ##     </summary>
 ## </param>
 #
Comment 1 Daniel Walsh 2007-11-19 10:50:17 EST
fixed in selinux-policy-2.4.6-108.fc6
Comment 2 Daniel Walsh 2008-01-30 14:20:07 EST
Bulk closing all bugs in Fedora updates in the modified state.  If you bug is
not fixed, please reopen.

Note You need to log in before you can comment on or make changes to this bug.